wpagui_2.3-1+deb8u5_i386.deb


Advertisement

Description

wpagui - graphical user interface for wpa_supplicant

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename wpagui_2.3-1+deb8u5_i386.deb
Package name wpagui
Package version 2.3
Package release 1+deb8u5
Package architecture i386
Package type deb
Category admin::configuring implemented-in::c implemented-in::c++ interface::x11 net network::configuration network::scanner protocol::radius role::program security::authentication uitoolkit::qt use::configuring use::scanning
Homepage http://w1.fi/wpa_supplicant/
License -
Maintainer Debian wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Download size 340.77 KB
Installed size 757.00 KB
wpagui provides a Qt interface for choosing which configured network
to connect to. It also provides a method for browsing 802.11 SSID scan
results, an event history log of messages generated by wpa_supplicant,
and a method to add or edit wpa_supplicant networks.

Alternatives

Package Version Architecture Repository
wpagui_2.3-1+deb8u5_amd64.deb 2.3 amd64 Debian Main
wpagui_2.3-1+deb8u4.1~debwrt80+2_amd64.deb 2.3 amd64 DebWrt Unstable
wpagui_2.3-1+deb8u4.1~debwrt80+2_amd64.deb 2.3 amd64 DebWrt Stable
wpagui - - -

Requires

Name Value
libc6 >= 2.17
libgcc1 >= 1:4.1.1
libqt4-svg -
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.5.3
libstdc++6 >= 4.1.1
wpasupplicant >= 0.7.3~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package wpagui_2.3-1+deb8u5_i386.deb
Source Package wpa

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install wpagui deb package:
    # sudo apt-get install wpagui

Files

Path
/usr/sbin/wpa_gui
/usr/share/applications/wpa_gui.desktop
/usr/share/doc/wpagui/NEWS.Debian.gz
/usr/share/doc/wpagui/changelog.Debian.gz
/usr/share/doc/wpagui/changelog.gz
/usr/share/doc/wpagui/copyright
/usr/share/icons/hicolor/scalable/apps/wpa_gui.svg
/usr/share/man/man8/wpa_gui.8.gz
/usr/share/menu/wpagui
/usr/share/pixmaps/wpa_gui-16.xpm
/usr/share/pixmaps/wpa_gui.xpm

Changelog

2017-10-14 - Yves-Alexis Perez <corsac@debian.org>
wpa (2.3-1+deb8u5) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add patches to fix WPA protocol vulnerabilities (CVE-2017-13077,
CVE-2017-13078, CVE-2017-13079, CVE-2017-13080, CVE-2017-13081,
CVE-2017-13082, CVE-2017-13086, CVE-2017-13087, CVE-2017-13088):
- hostapd: Avoid key reinstallation in FT handshake
- Prevent reinstallation of an already in-use group key
- Extend protection of GTK/IGTK reinstallation of WNM-Sleep Mode cases
- Fix PTK rekeying to generate a new ANonce
- TDLS: Reject TPK-TK reconfiguration
- WNM: Ignore WNM-Sleep Mode Response if WNM-Sleep Mode has not been used
- WNM: Ignore WNM-Sleep Mode Response without pending request
- FT: Do not allow multiple Reassociation Response frames
- TDLS: Ignore incoming TDLS Setup Response retries
2016-07-21 - Andrew Shadura <andrewsh@debian.org>
wpa (2.3-1+deb8u4) jessie; urgency=medium
* Non-maintainer upload.
* Add patches to address CVE-2016-4476 and CVE-2016-4477, thanks to
Salvatore Bonaccorso <carnil@debian.org> (Closes: #823411):
- WPS: Reject a Credential with invalid passphrase
- Reject psk parameter set with invalid passphrase character
- Remove newlines from wpa_supplicant config network output
- Reject SET_CRED commands with newline characters in the string values
- Reject SET commands with newline characters in the string values
* Refresh patches to apply cleanly.
2015-11-07 - Salvatore Bonaccorso <carnil@debian.org>
wpa (2.3-1+deb8u3) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add CVE-2015-5314.patch patch.
CVE-2015-5314: hostapd: EAP-pwd missing last fragment length validation.
* Add CVE-2015-5315.patch patch.
CVE-2015-5315: wpa_supplicant: EAP-pwd missing last fragment length
validation.
* Add CVE-2015-5316.patch patch.
CVE-2015-5316: EAP-pwd peer error path failure on unexpected Confirm
message.
2015-10-31 - Salvatore Bonaccorso <carnil@debian.org>
wpa (2.3-1+deb8u2) jessie-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add patch to address CVE-2015-4141.
CVE-2015-4141: WPS UPnP vulnerability with HTTP chunked transfer
encoding. (Closes: #787372)
* Add patch to address CVE-2015-4142.
CVE-2015-4142: Integer underflow in AP mode WMM Action frame processing.
(Closes: #787373)
* Add patches to address CVE-2015-414{3,4,5,6}
CVE-2015-4143 CVE-2015-4144 CVE-2015-4145 CVE-2015-4146: EAP-pwd missing
payload length validation. (Closes: #787371)
* Add patch to address 2015-5 vulnerability.
NFC: Fix payload length validation in NDEF record parser (Closes: #795740)
* Add patch to address CVE-2015-5310.
CVE-2015-5310: wpa_supplicant unauthorized WNM Sleep Mode GTK control.
2015-04-23 - Stefan Lippers-Hollmann <s.l-h@gmx.de>
wpa (2.3-1+deb8u1) jessie-security; urgency=high
* import "P2P: Validate SSID element length before copying it
(CVE-2015-1863)" from upstream (Closes: #783148).
2014-10-14 - Stefan Lippers-Hollmann <s.l-h@gmx.de>
wpa (2.3-1) unstable; urgency=medium
* New upstream release:
- fixed by the new upstream version:
+ wpa: arbitrary command execution via action scripts (Closes: #765352).
wpasupplicant: fixed wpa_cli action script execution to use more
robust mechanism (CVE-2014-3686).
hostapd: fixed hostapd_cli action script execution to use more robust
mechanism (CVE-2014-3686).
+ wpasupplicant: MAC addressing changing broken after updating to 2.2-1
(Closes: #763775).
+ drop ap_config_c_fix-typo-for-capabilities, applied upstream.
- backport "Include ieee802_11_common.c in wpa_supplicant build
unconditionally" from HEAD, to fix a newly introduced FTBS on, at least,
kfreebsd.
* bump standards version to 3.9.6, no changes necessary.

See Also

Package Description
wpasupplicant_2.3-1+deb8u5_i386.deb client support for WPA and WPA2 (IEEE 802.11i)
wpd2epub_0.9.2-2_i386.deb WordPerfect document to EPUB converter
wpd2odt_0.9.2-2_i386.deb WordPerfect to OpenDocument converter
wpg2odg_0.9.2-2_i386.deb WordPerfect Graphics to OpenDocument converter
wpolish_20140830-2_all.deb Polish dictionary words for /usr/share/dict
wportuguese_20140704-1_all.deb European Portuguese wordlist
wpp_2.13.1.35-3_all.deb The Web Preprocessor - a Perl script to preprocess HTML files
wps2epub_0.9.2-2_i386.deb Works text document to EPUB converter
wps2odt_0.9.2-2_i386.deb Works text documents to OpenDocument converter
wput_0.6.2+git20130413-2+b1_i386.deb tiny wget-like ftp-client for uploading files
wraplinux_1.7-8_i386.deb Utility to wrap a Linux kernel and initrd into an ELF or NBI file
wrapperfactory.app_0.1.0-4+b4_i386.deb Application wrappers configuration tool for GNUstep
wrapsrv_1.0.0-1_i386.deb DNS SRV record command line wrapper
wreport-common_2.14-1_i386.deb common data files for libwreport
writer2latex-manual_1.0.2-10_all.deb OpenOffice.org Writer/Calc to LaTeX/XHTML converter -- manual
Advertisement
Advertisement